local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_br_145 = {
	br_145_fake = { type = "boolean", default = false, name = _("BR 145 Fakeversionen"), description = _("option_br_145_fake_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_db_cargo_fake.tga" },
	br_145_vp = { type = "boolean", default = false, name = _("BR 145 vorderer Pantograph"), description = _("option_br_145_vp_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_db_cargo_vp.tga" },	
}

function data()
return {
	info = {
		minorVersion = 3,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("BR 145"),
		description = _("info_br_145_desc"),
		tags = { "Europe", "Locomotive", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2788,                 															-- optional, transportfever.net id
		steamId = 874949323,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2788-BR-145-146-0/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_br_145,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_br_145", options_br_145, files)
		local settings = modUtil.userSettings.get("kaleut_br_145")
		if not settings.br_145_fake then
			-- fakeversionen ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_cargo_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_cargo_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_schenker_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_schenker_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_logistics_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_logistics_vp_fake.mdl")
						
		end	
		if not settings.br_145_vp then
			-- vp ausblenden ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_cargo_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_cargo_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_schenker_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_db_schenker_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_logistics_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_railion_logistics_vp_fake.mdl")
		end	
	end
}
end
